; the name of your supervisord program
[program:futplus_celery_beat]

; Set full path to celery program if using virtualenv
command=/var/www/futplus_django/venv/bin/celery -A futplus beat --loglevel=INFO

; The directory to your Django project
directory=/var/www/futplus_django

; If supervisord is run as the root user, switch users to this UNIX user account
; before doing any processing.
user=root

; Supervisor will start as many instances of this program as named by numprocs
numprocs=1

; Put process stdout output in this file
stdout_logfile=/var/www/futplus_django/log/futplus_celery_beat_stdout.log

; Put process stderr output in this file
stderr_logfile=/var/www/futplus_django/log/futplus_celery_beat_stderr.log

; If true, this program will start automatically when supervisord is started
autostart=true

autorestart=true

; The total number of seconds which the program needs to stay running after
; a startup to consider the start successful.
startsecs=10

; if your broker is supervised, set its priority higher
; so it starts first
priority=200

